# 32/64bit spec-file
#
Name:    mate-compiz-fusion-icon
Version: 0.2
Release: %mkrel 4

Summary: Compiz Fusion Icon
Source0: %name-%{version}.tar.xz
Source1: fusion-icon.desktop
Patch0:	main.py.patch
Patch1:	data.py.patch
License: GPLv2
Group:   Graphical desktop/Mate
URL:     https://github.com/kozec/fusion-icon-gtk3
BuildRequires: python-devel
BuildArch: noarch

%description
Compiz Fusion Icon
 
%prep
%setup -q
%apply_patches

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root $RPM_BUILD_ROOT 


install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/fusion-icon.desktop


%files 
%defattr(-,root,root,-)
%{py_sitedir}
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%{_datadir}/icons/hicolor/22x22/apps/fusion-icon.png
%{_datadir}/icons/hicolor/24x24/apps/fusion-icon.png
%{_datadir}/icons/hicolor/48x48/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg

%changelog
* Tue Mar 15 2016 bb <bb> 0.2-4pclos2016
- fix rpm group

* Thu May 14 2015 bb <bb> 0.2-3pclos2015
- add mate panel restart patch

* Tue May 12 2015 bb <bb> 0.2-2pclos2015
- update from git adds marco support

* Fri May 08 2015 bb <bb> 0.2-1pclos2015
- update
